(DEPRECATED) Get proposal information
curl --request GET \
--url https://api.togai.com/purchase_proposals/{purchase_proposal_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/purchase_proposals/{purchase_proposal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/purchase_proposals/{purchase_proposal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "purchase.1zYnCiM9Bpg.lv25y",
"accountId": "G234DZZKBKACATFFGVGEMERFI",
"pricePlanId": "pp.1zYnCiM9Bpg.lv25y",
"quantity": 1,
"idempotencyKey": "AAAAAABBBEEEDDSS23",
"pricePlanVersion": 1,
"type": "ENTITLEMENT_GRANT",
"status": "PROPOSAL_ACTIVE",
"paymentMode": "PREPAID",
"purchasePlanOverride": {
"billingEntitlementRateCards": [
{
"featureId": "feature.20jxa18BdUW.d4XQw",
"featureConfigs": [
{
"featureCreditLimit": 100,
"effectiveUntil": "P20D"
}
],
"invoiceTiming": "IN_ADVANCE",
"ratePlan": {
"pricingModel": "TIERED",
"slabs": [
{
"order": 1,
"startAfter": 0,
"priceType": "PER_UNIT",
"slabConfig": {}
}
]
},
"rateValues": [
{
"currency": "USD",
"slabRates": [
{
"order": 1,
"rate": 1
}
]
}
],
"displayName": "feature1"
}
]
},
"createdAt": "2020-01-01T00:00:00Z",
"updatedAt": "2020-01-01T00:00:00Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}(Deprecated) Proposals
(DEPRECATED) Get proposal information
Get proposal information
GET
/
purchase_proposals
/
{purchase_proposal_id}
(DEPRECATED) Get proposal information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
512Example:
"purchase.20rqjgFJf2O.ejl25"
Response
Response for getting a specific proposal
Represents a Purchase
Minimum string length:
1Status of the purchase
Available options:
SUCCESS, FAILURE, PENDING, IN_PROGRESS, PROPOSAL_ACTIVE, PROPOSAL_APPROVED, PROPOSAL_DECLINED, PROPOSAL_EXPIRED Specifies whether this purchase is for granting entitlements or for an association or for wallet topup or prepaid purchase. If left null, ENTITLEMENT_GRANT is taken as default
Available options:
ENTITLEMENT_GRANT, ASSOCIATION, WALLET_TOPUP, PREPAID Available options:
PREPAID, POSTPAID Id of the price plan, Required for ENTITLEMENT_GRANT, ASSOCIATION purchase
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Information related to wallet topup purchase
Show child attributes
Show child attributes
